> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Get compliance report metadata for a batch

GET https://example.itential.io/configuration_manager/json_compliance_reports/batch/{batchId}

Returns compliance report metadata by batch ID.

Reference: https://docs.itential.com/itential-cloud/api-reference/configuration-manager/get-compliance-reports-by-batch

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `batchId` (string, required) — batchId

## Response

### 200

complianceHistory

- `list of object`
  - `id` (string, optional)
  - `batchId` (string, optional)
  - `treeId` (string, optional)
  - `version` (string, optional)
  - `nodePath` (string, optional)
  - `deviceName` (string, optional)
  - `timestamp` (string, optional)
  - `totals` (object, optional)
    - `errors` (integer, optional)
    - `warnings` (integer, optional)
    - `infos` (integer, optional)
    - `passes` (integer, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
[
  {
    "id": "5c35355dbebaa82eaf8113f0",
    "batchId": "5c35355dbebaa82eaf8113f0",
    "treeId": "5c35355dbebaa82eaf8113f0",
    "version": "initial",
    "nodePath": "base",
    "deviceName": "xr9kv-atl",
    "timestamp": "2019-04-12T14:42:47.958Z",
    "totals": {
      "errors": 1,
      "warnings": 1,
      "infos": 1,
      "passes": 1
    }
  }
]
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/configuration_manager/json_compliance_reports/batch/batchId"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/configuration_manager/json_compliance_reports/batch/batchId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/configuration_manager/json_compliance_reports/batch/batchId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/configuration_manager/json_compliance_reports/batch/batchId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/configuration_manager/json_compliance_reports/batch/batchId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/configuration_manager/json_compliance_reports/batch/batchId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/configuration_manager/json_compliance_reports/batch/batchId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/configuration_manager/json_compliance_reports/batch/batchId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```